hoauth2-2.14.3: Haskell OAuth2 authentication client

Safe Haskell | None
Language | Haskell2010

Network.OAuth2.Experiment.Flows.RefreshTokenRequest

Synopsis

- data RefreshTokenRequest = RefreshTokenRequest {
  - rrRefreshToken :: RefreshToken
  - rrGrantType :: GrantTypeValue
  - rrScope :: Set Scope
  - rrClientId :: Maybe ClientId
  - rrClientSecret :: Maybe ClientSecret
  }
- class (HasOAuth2Key a, HasTokenRequestClientAuthenticationMethod a) => HasRefreshTokenRequest a where
  - mkRefreshTokenRequestParam :: a -> RefreshToken -> RefreshTokenRequest
- conduitRefreshTokenRequest :: forall {k} (m :: Type -> Type) a (i :: k). (MonadIO m, HasRefreshTokenRequest a) => IdpApplication i a -> Manager -> RefreshToken -> ExceptT TokenResponseError m OAuth2Token

# Documentation

data RefreshTokenRequest Source #

Constructors

RefreshTokenRequest |

Fields

- rrRefreshToken :: RefreshToken
- rrGrantType :: GrantTypeValue
- rrScope :: Set Scope
- rrClientId :: Maybe ClientId
- rrClientSecret :: Maybe ClientSecret

#### Instances

Instances details

ToQueryParam RefreshTokenRequest Source # |
Instance details Defined in Network.OAuth2.Experiment.Flows.RefreshTokenRequest Methods toQueryParam :: RefreshTokenRequest -> Map Text Text Source #

class (HasOAuth2Key a, HasTokenRequestClientAuthenticationMethod a) => HasRefreshTokenRequest a where Source #

Methods

mkRefreshTokenRequestParam :: a -> RefreshToken -> RefreshTokenRequest Source #

Make Refresh Token Request parameters | https://www.rfc-editor.org/rfc/rfc6749#section-6

#### Instances

Instances details

HasRefreshTokenRequest AuthorizationCodeApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.AuthorizationCode Methods mkRefreshTokenRequestParam :: AuthorizationCodeApplication -> RefreshToken -> RefreshTokenRequest Source #
HasRefreshTokenRequest ResourceOwnerPasswordApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.ResourceOwnerPassword Methods mkRefreshTokenRequestParam :: ResourceOwnerPasswordApplication -> RefreshToken -> RefreshTokenRequest Source #

conduitRefreshTokenRequest :: forall {k} (m :: Type -> Type) a (i :: k). (MonadIO m, HasRefreshTokenRequest a) => IdpApplication i a -> Manager -> RefreshToken -> ExceptT TokenResponseError m OAuth2Token Source #

Make Refresh Token Request https://www.rfc-editor.org/rfc/rfc6749#section-6